Back to Smartcitizen.me

Java 7 Firefox - Ubuntu 12.04 LTS


#1

Hi,

I’m having problems.

Currently running Ubuntu 12.04 LTS, Kernel 3.2.0-58, Java version 1.7.0_51, IcedTea 2.4.4, and Firefox 26.0.

When I log into the dashboard and go through the process of adding a sensor, and then selecting the configure sensor button, I get a java error message that says;

Application Blocked by Security Settings

Your security settings have blocked a self-signed application from running.

After I click ok, the Java displays another message

The application cannot be run.

http://www.java.com/en/download/help/jcp_security.xml

I open Jcontrol and select the security tab and change the security setting from High to Medium. I then add site to the site list http://smartcitizen.me/devices/configure/556. Even after I make these changes its still not allowing me to install and run the java self-signed app.

What am I missing? Is there a signed certificate I need?

http://www.java.com/en/download/help/appsecuritydialogs.xml
http://www.java.com/en/download/faq/exception_sitelist.xml


#2

Hello,

we would recommend you to check the Java Security Settings on your Java Control Panel and set them to Medium. This should solve the problem.

We are working hard on releasing a major update next week that will solve all this issues by migrating to a Browser Plugin.

Sorry for the inconvenience,

Guillem.


#3

Hi Guillem,

Thank you for the quick response. That did the trick.

Thanks again,

Chris